/// class PD.Web.UI.Controls.TabStripTab
/// using PD.Web.UI.Controls.Control

PD.Web.UI.Controls.TabStripTab =
PD.Web.UI.Controls.Control.extend({

    //===================================
    // FIELDS
    //===================================

    _id: null,
    _label: null,
    __type: "PD.Web.UI.Controls.TabStripTab",
    
    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {
        this._id = uuid.v4();
        this._label = options.label;
        this._super(options);
    },

    //===================================
    // PROPERTIES
    //===================================

    get_id: function () {
        return this._id;
    },

    get_label: function () {
        return this._label;
    },

    //===================================
    // EVENT HANDLERS
    //===================================

    template: function (e) {
        
        return [
            "<div data-uid='" + this._uid + "' class='-pd-tab' style='margin-right:3px;margin-left:3px;position:relative;'>",
                this._label ? this._label : "",
            "</div>"
        ];

    },

    onActivate: function () {
        this.selected(this.get_selected());
    },

    onClick: function () {
        //overridable
    },

    selected: function (state) {
        if (state === true) {
            this.get_node().addClass("selected");
        }
        else {
            this.get_node().removeClass("selected");
        }
    }

});